######################################################################
# PageFlow Engine Properties
######################################################################
#
# monitor.enable (optional)
#  Tells the AMX-BPM framework that it should monitor this properties file for changes.
#  If omitted, it defaults to false.
monitor.enable=true

#######################################################
#
#    Global Cache Timeout for how long the started instances will be retained in cache
#	 it is specified in minutes. Default is 60 minutes 
#######################################################
#
cacheTimeout=60
#######################################################
#
#    Global max cache size of the cache  after which latest one put is used and the aged one will be removed
#	 Default is 1000  
#######################################################
#
cacheSizeLimit=1000
#######################################################
#
#   Flag to enable clean up thread which removes the stale instances from the cache based on the aging
#	
#######################################################
#
enableCleanupThread=false
#######################################################
#
#   Interval time after which the clean up thread wakes up which removes the stale instances from the cache based on the aging
#	it is specified in minutes. Default is 30 minutes 
#######################################################
#
cleanupInterval=30
#######################################################
#
#   Flag to enable parsing complex data of XmlAnySimpleType using XmlObject.Factory
#	
#######################################################
#
enableComplexTypeValidation=false
